'use strict';

require('colors');

module.exports = function (verbose) {
  var _this = this;

  this.verbose = verbose;
  this.log = function (msg) {
    if (_this.verbose) {
      console.log(msg);
    }
  };

  this.success = function (msg) {
    console.log('\nSUCCESS: '.green + '\n' + msg);
  };

  this.info = function (msg) {
    console.info('INFO: '.cyan + msg);
  };

  this.error = function (msg) {
    if (msg instanceof Object) {
      msg = JSON.stringify(msg, null, 2);
    }
    console.error('ERROR: '.red + msg);
  };

  this.warn = function (msg) {
    if (msg instanceof Object) {
      msg = JSON.stringify(msg, null, 2);
    }
    console.warn('WARNING: '.yellow + msg);
  };

  this.print = function (msg) {
    console.log(msg);
  };
};