'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transformString = transformString;
exports.transformObject = transformObject;
exports.setTransforms = setTransforms;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformString(uis1Transform) {
  var key = _lodash2.default.keys(uis1Transform)[0];
  var uis2Transform = {
    from: key,
    to: uis1Transform[key],
    global: true
  };
  return uis2Transform;
}

function transformObject(uis1Transform) {
  var keywords = ['value', 'id', 'label'];
  return {
    object: _lodash2.default.reduce(uis1Transform, function (result, value, key) {
      if (value.split('\'').length === 3) {
        value = value.split('\'')[1];
      }
      if (_lodash2.default.indexOf(keywords, value) !== -1) {
        value = '${' + value + '}';
      }
      result[key] = value;
      return result;
    }, {})
  };
}

function setTransforms(newField, oldField, logger) {
  var transforms = {};
  if (oldField.modelTransform) {
    if (oldField.modelTransform['toObject']) {
      transforms.write = [transformObject(oldField.modelTransform.toObject)];
    }
    if (oldField.modelTransform['replace']) {
      transforms.write = [transformString(oldField.modelTransform.replace)];
    }
  }
  if (oldField.viewTransform) {
    if (oldField.viewTransform['toObject']) {
      transforms.read = [transformObject(oldField.viewTransform.toObject)];
    }
    if (oldField.viewTransform['replace']) {
      transforms.read = [transformString(oldField.viewTransform.replace)];
    }
  }
  if (!_lodash2.default.isEmpty(transforms)) _lodash2.default.set(newField, 'transforms', transforms);
  return newField;
}